Loading...
Searching...
No Matches
form_lazy_terminal_integrate_band< Expr >

## Detailed Description

template<class Expr>
class rheolef::details::form_lazy_terminal_integrate_band< Expr >

Definition at line 319 of file form_lazy_terminal.h.

Inheritance diagram for form_lazy_terminal_integrate_band< Expr >:

## Public Types

using | rep = form_lazy_terminal_integrate_band_rep<Expr>
using | base1 = smart_pointer_nocopy<rep>
using | base2 = form_lazy_base<form_lazy_terminal_integrate_band<Expr>>
using | size_type = typename rep::size_type
using | memory_type = typename rep::memory_type
using | scalar_type = typename rep::scalar_type
using | space_type = typename rep::space_type
using | geo_type = typename rep::geo_type
using | band_type = typename rep::band_type
using | matrix_element_type = typename rep::matrix_element_type
Public Types inherited from smart_pointer_nocopy< form_lazy_terminal_integrate_band_rep< Expr > >
typedef form_lazy_terminal_integrate_band_rep< Expr > | handled_type
typedef base::internal | internal

## Public Member Functions

| form_lazy_terminal_integrate_band (const band_type &gh, const Expr &expr, const integrate_option &iopt)
const geo_type & | get_geo () const
const space_type & | get_trial_space () const
const space_type & | get_test_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K) const
void | evaluate (const geo_type &omega_K, const geo_element &K, matrix_element_type &ak) const
Public Member Functions inherited from smart_pointer_nocopy< form_lazy_terminal_integrate_band_rep< Expr > >
| smart_pointer_nocopy (form_lazy_terminal_integrate_band_rep< Expr > *p=0)
smart_pointer_nocopy< form_lazy_terminal_integrate_band_rep< Expr > > & | operator= (const smart_pointer_nocopy< form_lazy_terminal_integrate_band_rep< Expr > > &x)
| ~smart_pointer_nocopy ()
Public Member Functions inherited from smart_pointer_base< form_lazy_terminal_integrate_band_rep< Expr >, details::no_copy< form_lazy_terminal_integrate_band_rep< Expr > > >
| smart_pointer_base (form_lazy_terminal_integrate_band_rep< Expr > *p=0)
smart_pointer_base< form_lazy_terminal_integrate_band_rep< Expr >, details::no_copy< form_lazy_terminal_integrate_band_rep< Expr > > > & | operator= (const smart_pointer_base< form_lazy_terminal_integrate_band_rep< Expr >, details::no_copy< form_lazy_terminal_integrate_band_rep< Expr > > > &)
| ~smart_pointer_base ()
const form_lazy_terminal_integrate_band_rep< Expr > * | pointer () const
const form_lazy_terminal_integrate_band_rep< Expr > & | data () const
const form_lazy_terminal_integrate_band_rep< Expr > * | operator-> () const
const form_lazy_terminal_integrate_band_rep< Expr > & | operator* () const
int | reference_counter () const
counter * | get_count () const
Public Member Functions inherited from form_lazy_base< form_lazy_terminal_integrate_band< Expr > >
std::enable_if< details::is_field_lazy< FieldExpr >::value, field_lazy_trans_mult_form< form_lazy_terminal_integrate_band< Expr >, FieldExpr > >::type | trans_mult (const FieldExpr &u_expr) const
field_lazy_trans_mult_form< form_lazy_terminal_integrate_band< Expr >, field_lazy_terminal_field< T, M > > | trans_mult (const field_basic< T, M > &uh) const

## Additional Inherited Members

Protected Member Functions inherited from form_lazy_base< form_lazy_terminal_integrate_band< Expr > >
form_lazy_terminal_integrate_band< Expr > & | derived ()
const form_lazy_terminal_integrate_band< Expr > & | derived () const

## Member Typedef Documentation

## rep

template<class Expr>

using rep = form_lazy_terminal_integrate_band_rep<Expr>

Definition at line 324 of file form_lazy_terminal.h.

## base1

template<class Expr>

using base1 = smart_pointer_nocopy<rep>

Definition at line 325 of file form_lazy_terminal.h.

## base2

template<class Expr>

using base2 = form_lazy_base<form_lazy_terminal_integrate_band<Expr>>

Definition at line 326 of file form_lazy_terminal.h.

## size_type

template<class Expr>

using size_type = typename rep::size_type

Definition at line 327 of file form_lazy_terminal.h.

## memory_type

template<class Expr>

using memory_type = typename rep::memory_type

Definition at line 328 of file form_lazy_terminal.h.

## scalar_type

template<class Expr>

using scalar_type = typename rep::scalar_type

Definition at line 329 of file form_lazy_terminal.h.

## space_type

template<class Expr>

using space_type = typename rep::space_type

Definition at line 330 of file form_lazy_terminal.h.

## geo_type

template<class Expr>

using geo_type = typename rep::geo_type

Definition at line 331 of file form_lazy_terminal.h.

## band_type

template<class Expr>

using band_type = typename rep::band_type

Definition at line 332 of file form_lazy_terminal.h.

## matrix_element_type

template<class Expr>

using matrix_element_type = typename rep::matrix_element_type

Definition at line 333 of file form_lazy_terminal.h.

## Constructor & Destructor Documentation

## form_lazy_terminal_integrate_band()

template<class Expr>

form_lazy_terminal_integrate_band | ( | const band_type & | gh,
|  | const Expr & | expr,
|  | const integrate_option & | iopt )

Definition at line 337 of file form_lazy_terminal.h.

## Member Function Documentation

## get_geo()

template<class Expr>

const geo_type & get_geo | ( |  | ) | const

Definition at line 347 of file form_lazy_terminal.h.

## get_trial_space()

template<class Expr>

const space_type & get_trial_space | ( |  | ) | const

Definition at line 348 of file form_lazy_terminal.h.

## get_test_space()

template<class Expr>

const space_type & get_test_space | ( |  | ) | const

Definition at line 349 of file form_lazy_terminal.h.

## is_on_band()

template<class Expr>

bool is_on_band | ( |  | ) | const

Definition at line 350 of file form_lazy_terminal.h.

## get_band()

template<class Expr>

band_type get_band | ( |  | ) | const

Definition at line 351 of file form_lazy_terminal.h.

## initialize()

template<class Expr>

void initialize | ( | const geo_type & | omega_K | ) | const

Definition at line 353 of file form_lazy_terminal.h.

## evaluate()

template<class Expr>

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | matrix_element_type & | ak ) const

Definition at line 355 of file form_lazy_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/form_lazy_terminal.h